/* Scoped to avoid affecting header */
.contenedor-total {
    /* background-image moved here if needed or handled via section */
}

#contenedor-anuncios {
    display: flex;
    flex-direction: column;
    align-items: center;
}


.lista-anuncios {

    /* border: solid 2px rgba(177, 197, 241  , 0.8);*/
    width: 50%;
    background-color: rgba(255, 255, 255, 0.8);
    display: grid;
    grid-template-columns: auto 1fr;
    /* Primera columna con ancho automático, segunda columna que ocupa el resto del espacio */
    gap: 10px;
    /* Espacio entre elementos */
    margin: 20px;
    /* background-color: rgba(222, 232, 255 , 0.8) ; */
    box-shadow: 0px 0px 10px 0px rgba(0, 0, 0, 0.5);

}

.lista-anuncios:hover {
    cursor: pointer;
    background-color: rgba(185, 220, 242, 0.5);
    z-index: 2;
}

.elemento {

    /*border: 1px solid #ccc; */
}



.elemento.imagen {
    grid-column: 1;
    grid-row: span 6;
    padding: 10px;



}

.elemento img {
    width: 200px;
    height: 200px;

}

/* Título */
.elemento.titulo {
    font-size: 20px;
    color: #fff;
    background-color: #08c8af;
    /* Theme color */
    grid-column: 2;
    /* Título ocupa la segunda columna */
    grid-row: span 1;
    font-weight: bold;
    padding: 10px 0 0 10px;
}

/* Descripción */
.elemento.descripcion {
    grid-column: 2;
    /* Descripción ocupa dos columnas completas */
    grid-row: span 5;
    padding: 5px;
    margin: 0 10px 0 0;
    /* background-color: rgba(240, 242, 247   , 0.8); */
}

/* Fecha */
.elemento.fecha {
    grid-row: 7;
    /* Fecha ocupa dos columnas completas */
    justify-self: start;
    /* Alinea la fecha a la derecha dentro de su celda */
    padding: 0 0 5px 10px;
}

.elemento.ayuda {
    grid-row: 7;
    padding: 0 5px 0 0;
    justify-self: end;
    font-style: italic;
}

.container-boton-postular {
    display: flex;
    justify-content: center;
}

.boton-postular {
    font-size: 15px;
    color: #fff;
    border: solid 2px #08c8af;
    border-radius: 10px;
    background-color: #08c8af;
    /* Theme color */
    padding: 10px;
    margin: 5px 0 20px 0;
    box-shadow: 0px 0px 10px 0px rgba(0, 0, 0, 0.5);
    transition: 0.5s;
    width: 300px;
}

.boton-postular:hover {
    background-color: #0056b3;
    font-size: 16px;
    border-radius: 10px;
}

/*------------------------------------------------------------------------------------------------------------------------------------------------*/

.segunda-pantalla {

    display: none;
}

#contenedor-anuncios2 {
    display: flex;
    flex-direction: column;
    align-items: center;
}


.detalles-anuncios {

    /* border: solid 2px rgba(177, 197, 241  , 0.8);*/
    width: 60%;
    background-color: rgba(255, 255, 255, 0.8);
    display: grid;
    grid-template-columns: auto 1fr;
    /* Primera columna con ancho automático, segunda columna que ocupa el resto del espacio */
    gap: 10px;
    /* Espacio entre elementos */
    margin: 20px;
    /* background-color: rgba(222, 232, 255 , 0.8) ; */
    box-shadow: 0px 0px 10px 0px rgba(0, 0, 0, 0.5);
    font-size: 16px;
}

/* .detalles-anuncios:hover {
 cursor: pointer;   
     background-color: rgba(185, 220, 242, 0.5 );
    z-index: 2;
}

*/

.detalles {

    /*border: 1px solid #ccc; */
}



.detalles-imagen {

    grid-column: 1;
    grid-row: span 6;
    display: flex;
    padding: 10px;



}

.imagen-detalles {
    width: 200px;
    height: 200px;

}

.a-img {

    margin: 0 auto 0 auto;

    position: relative;
    display: inline-block;

}


/* Título */
.detalles-titulo {
    font-size: 22px;
    color: #fff;
    background-color: #08c8af;
    /* Theme color */
    grid-column: 2;
    /* Título ocupa la segunda columna */
    grid-row: span 1;
    font-weight: bold;
    padding: 10px 0 0 10px;
}

/* Descripción */
.detalles-descripcion {
    grid-column: 2;
    /* Descripción ocupa dos columnas completas */
    grid-row: span 5;

    padding: 5px;
    margin: 0 10px 0 0;
    /* background-color: rgba(240, 242, 247   , 0.8); */
}

.detalles-requerimientos {
    grid-column: 2;
    padding: 0 0 5px 10px;
}

.detalles-salario {
    grid-column: 2;
    padding: 0 0 5px 10px;
}


/* Fecha */
.detalles-fechaPub {
    grid-row: 9;
    /* Fecha ocupa dos columnas completas */
    justify-self: start;
    /* Alinea la fecha a la derecha dentro de su celda */
    padding: 0 0 5px 10px;
}

.detalles-fechaVenc {
    grid-row: 9;
    padding: 0 5px 0 0;
    justify-self: end;

}

.detalles-botones {
    display: flex;
    flex-direction: row;

}

.container-boton-back {

    padding: 5px 50px 0 0;

}

.imagen-back {
    border: solid 2px #08c8af;
    border-radius: 10px;
    background-color: #08c8af;
    /* Theme color */
    box-shadow: 0px 0px 10px 0px rgba(0, 0, 0, 0.5);
    transition: 0.5s;
    width: 50px;
    height: 50px;

}


.imagen-back:hover {

    filter: brightness(70%);
    width: 53px;
    height: 53px;
}


.imagen-superpuesta {
    position: absolute;
    top: 0;
    left: 0;
    opacity: 0;
    transition: opacity 0.3s ease;
    width: 200px;
    height: 200px;
}

.imagen-superpuesta:hover {
    opacity: 0.7;
}





/*


.modal {
  display: none;
  position: fixed;
  z-index: 1000;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  overflow: auto;
  background-color: rgba(0,0,0,0.5);
}

.modal-content {
  background-color: rgba(255,255,255, 1);
  margin: 0px;
  padding: 0px;
  border: 2px solid rgba(80, 80, 80, 0.7);
  width: 100%;
  height: 100%;

}




.close {
  color: #444;
  float: right;
  font-size: 35px;
  font-weight: bold;
  
}

.close:hover,
.close:focus {
  color: grey;
  text-decoration: none;
  cursor: pointer;
}

#iframe {
  width: 100%;
  height: 100%;
}

*/


/*=============================FORM=============================================================================================*/

/* Estilos para el contenedor del formulario */

.tercera-pantalla {

    display: none;
}

#contenedor-form {
    width: 35%;
    margin: 1% auto 1% auto;
    padding: 2% 3% 2% 3%;
    border-radius: 10px;
    background-color: #fff;
    box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.1);
    /* Sombra suave */
}

/* Estilos para los campos del formulario */
#contenedor-form label {
    font-size: 12px;
    margin-bottom: 5px;
    font-weight: bold;
}

#contenedor-form input[type="text"],
#contenedor-form input[type="email"],
#contenedor-form input[type="tel"],
#contenedor-form select,
#contenedor-form input[type="file"] {
    width: 100%;
    padding: 10px;
    margin-bottom: 15px;
    border: 1px solid #ccc;
    border-radius: 5px;
    box-sizing: border-box;
}

#contenedor-form input[type="radio"] {
    margin-right: 5px;
}

#contenedor-form input[type="submit"] {
    width: 80%;
    padding: 1px;
    border: solid 2px #08c8af;
    border-radius: 10px;
    background-color: #08c8af;
    /* Color de fondo */
    color: #fff;
    font-size: 16px;
    cursor: pointer;
    transition: 0.5s;
}

#contenedor-form input[type="submit"]:hover {
    background-color: #0056b3;
    /* Color de fondo al pasar el ratón */
    width: 85%;
    font-size: 17px
}


.no-ofertas {
    font-size: 20px;
    padding: 10% 0 10% 0;
}

.contenedor-total li {

    margin: 0 0 0 15px;
}


@media screen and (max-width: 1000px) {
    .lista-anuncios {

        /* border: solid 2px rgba(177, 197, 241  , 0.8);*/
        width: 90%;
    }

    .elemento.fecha {
        overflow-wrap: break-word;
        max-width: 150px;
    }


    .elemento img {
        width: 140px;
        height: 140px;

    }



    .detalles-anuncios {

        /* border: solid 2px rgba(177, 197, 241  , 0.8);*/
        width: 90%;
        text-align: center;
    }



    .detalles-imagen {
        width: 100%;
        grid-row: 1;
    }


    .detalles-descripcion {
        grid-row: 3;
        grid-column: 1;
        padding: 0 5px 0 10px;
        text-align: justify;

    }

    .detalles-titulo {
        grid-row: 2;
        grid-column: 1;

    }

    .detalles-requerimientos {
        grid-row: 4;
        grid-column: 1;

    }

    .detalles-salario {
        grid-row: 5;
        grid-column: 1;

    }

    .detalles-fechaPub {
        grid-row: 6;
        grid-column: 1;
        justify-self: center;

    }

    .detalles-fechaVenc {
        grid-row: 7;
        grid-column: 1;
        justify-self: center;
        padding: 0 0 10px 0;
    }

    .detalles-botones {
        display: flex;
        flex-direction: column;
        align-items: center;

    }

    #contenedor-form {
        width: 95%;


    }

    .contenedor-total ul,
    .contenedor-total li {
        text-align: left;
        margin: 0 0 0 15px;
    }
}